Subject: [bug#28404] The complete Google Noto Fonts

From: ng0 <[email-masked]>
Date: Tue, 12 Sep 2017 14:51:56 +0000

Ludovic Courtès transcribed 0.3K bytes:
> ng0 <[email-masked]> skribis:
> 
> > Emoji: can be build with "make" given the condition that nototools
> > (https://github.com/googlei18n/nototools/) is available. This in turn
> > depends on (python):
> 
> Cool, sounds reasonable.
> 
> > Would the tagged tarball of CJK be considered too big for our CI?
> 
> No, I think it’s OK.

Ok.

> Ludo’.

I propose:

1. package nototools.
2. noto-emoji -> use tagged tarball
   2.1 split emoji into the provided fonts of upstream
       which are emoji and color emoji, separate
       packages.
3. noto-cjk: likewise
4. noto: likewise

The original complain was "noto is too big", so we can not
solve this problem by providing outputs like
  noto: out, noto-kufi-arabic, noto-sans-avestan, …
but they have to be provided as separate nar archives.
Annoying: people interested in cjk noto fonts (which are just
5 sub font families by archive file name counting) still have
to download 1.6GB if no binary substitute is available.
Noto (351 MB) is okay, and so is Emoji (33.5MB).

I'll get to it unless you have a better idea?
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://www.krosos.org